## Reporting issues
Please read this guide before filing issues. Thanks!

### Support queries
Please use the following sources for any questions on how to use the module:
* The [examples list](http://mattlewis92.github.io/angular-bootstrap-calendar/) for demos of how to use all features of the directive. 
* Search the [existing issues list](https://github.com/mattlewis92/angular-bootstrap-calendar/issues?q=is%3Aissue+is%3Aclosed), most of the time there has already been a similar issue filed.
* For everything else please use [stackoverflow](http://stackoverflow.com/questions/ask/advice). The github issue tracker is primarily for bug reports + feature requests.

### Bug reports
Please include a plunker or something similar that clearly reproduces your problem or your issue may be closed. You can use this as a [starter template](http://plnkr.co/edit/tursHHxWA8SdALaj0Bx6?p=preview).

### Feature requests
Please clearly describe what you require and your use case. A lot of the time you can use the existing API hooks + custom templates to add your own features. Please check the [examples list](http://mattlewis92.github.io/angular-bootstrap-calendar/) first to see if the feature you've requested has already been implemented. Features that can easily be implemented in userland are unlikely to be accepted.

### Pull requests
Follow the [dev guide](https://github.com/mattlewis92/angular-bootstrap-calendar#development) for getting up and running. Please ensure all tests pass first by running `npm test`. This project uses the [angular commit conventions](https://github.com/angular/angular.js/blob/master/CONTRIBUTING.md#commit-message-format). You can use the commit wizard for easily generating commit messages by running `npm run commit`. 
